const validateMobile = function (rule, value, callback) {
    let newValue = value.replace(/[^0-9]/gi, '')
    if (value !== newValue) {
      callback(new Error('请输入正确的手机号'))
    } else if (newValue.length !== 11) {
      callback(new Error('请输入正确的手机号'))
    } else {
      callback()
    }
  }
  const validID = function(rule, value, callback) {
    // 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
    let reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
    if (reg.test(value)) {
      callback();
    } else {
      callback(new Error("请输入正确的身份证号码"));
    }
  }
  var validateStock = (rule, value, callback) => {
    if (!value || value == 0) {
      callback(new Error("不能为空"));
    } else {
      callback();
    }
  };

  export { validateMobile ,validID,validateStock}